Debian Bug report logs - #627446
libudev0: Can't see any device and mount doesn't work.

version graph

Package: libudev0; Maintainer for libudev0 is Marco d'Itri <md@linux.it>; Source for libudev0 is src:udev.

Reported by: Sérgio Cipolla <secipolla@gmail.com>

Date: Fri, 20 May 2011 17:24:02 UTC

Severity: critical

Tags: patch, upstream

Found in version udev/168-2

Fixed in version udev/170-1

Done: Marco d'Itri <md@linux.it>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#627446; Package libudev0. (Fri, 20 May 2011 17:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sérgio Cipolla <secipolla@gmail.com>:
New Bug report received and forwarded. Copy sent to Marco d'Itri <md@linux.it>. (Fri, 20 May 2011 17:24:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sérgio Cipolla <secipolla@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libudev0: Can't see any device and mount doesn't work.
Date: Fri, 20 May 2011 14:22:13 -0300
[Message part 1 (text/plain, inline)]
Package: libudev0
Version: 168-2
Severity: critical
Justification: breaks the whole system

I'm reporting from another system with udev 168-2 as the one in which it was upgraded to 169 is borked.
libudev0, libgudev-1.0-0 (from 168-2 to 169-x), libgdu0 (from 2.30.x to 2.32.x) and grub-pc/grub-common (from 1.99-3 to 1.99-4) were upgraded today.
When booting into the upgraded system udev spit an error right away and there were a lot of messages about not being able to mount the partitions in fstab and not being able to create /dev I think.
Also many usage tips for 'mount' were shown.
Then the system drops to single user mode.
I couldn't downgrade anything as /var/cache/apt/archives is in a different partition than root.
I tried the rescue cd but couldn't fix it.

Attached is the end of /var/log/messages in case it helps.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.38-2-686 (SMP w/1 CPU core)
Locale: LANG=pt_BR.utf8, LC_CTYPE=pt_BR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libudev0 depends on:
ii  libc6                         2.13-4     Embedded GNU C Library: Shared lib

libudev0 recommends no packages.

libudev0 suggests no packages.

-- no debconf information
[messages (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#627446; Package libudev0. (Fri, 20 May 2011 17:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Fri, 20 May 2011 17:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 627446@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Sérgio Cipolla <secipolla@gmail.com>, 627446@bugs.debian.org
Subject: Re: Bug#627446: libudev0: Can't see any device and mount doesn't work.
Date: Fri, 20 May 2011 19:41:27 +0200
[Message part 1 (text/plain, inline)]
On May 20, Sérgio Cipolla <secipolla@gmail.com> wrote:

> When booting into the upgraded system udev spit an error right away and there were a lot of messages about not being able to mount the partitions in fstab and not being able to create /dev I think.

Reporting the error message would probably help a log in getting this
bug fixed.

Debugging early boot
~~~~~~~~~~~~~~~~~~~~
If the system hangs at boot time or fails to boot properly, it may be
useful to examine in real time what is happening while "udevadm settle"
is running. A simple way to do this is:

* boot the system passing "init=/bin/bash" on the kernel command line
* start a getty on tty2 (or the serial console) with a command like
  "/sbin/getty 38400 tty2 &"
* continue the boot process with "exec /sbin/init single"

The open console can be used to check which processes are running and
what they are waiting for.

Setting the kernel command line options documented in udevd(8) may also
help to identify system-wide troubles caused by specific kernel drivers.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#627446; Package libudev0. (Fri, 20 May 2011 19:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sérgio Cipolla <secipolla@gmail.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Fri, 20 May 2011 19:03:05 GMT) Full text and rfc822 format available.

Message #15 received at 627446@bugs.debian.org (full text, mbox):

From: Sérgio Cipolla <secipolla@gmail.com>
To: Debian Bug Tracking System <627446@bugs.debian.org>
Subject: udev: Boot messages.
Date: Fri, 20 May 2011 16:00:56 -0300
[Message part 1 (text/plain, inline)]
Package: udev
Followup-For: Bug #627446

udevd[46]: unable to receive user udevd message: resource temporarily unavailable
udevd[46]: unable to receive user udevd message: resource temporarily unavailable
udevd[46]: unable to receive user udevd message: resource temporarily unavailable
INIT: version 2.88 booting
Using makefile-style concurrent boot in runlevel S
findfs: unable to resolve 'UUID=...(root partition uuid)...'
mount: /dev not mounted already, or bad option
Filesystem mounted on /dev/shm; setting up compatibility bind mount. ... (warning).
Please remove this mount from /etc/fstab; it is no longer needed, and it is preventing completion of the transition to /run/shm. ... (warning).

(cannot set/access system clock)
(cannot find virtual consoles)
(again findfs error on / partition)

Activating swap... done.

(check root filesystem)
(many examples of 'mount' usage)
(more errors for findfs when trying to set up networking)
(errors with fsck.ext4 for other partitions)
(drop to maintenance shell)


Attached is /etc/fstab for that system.
I didn't try the other boot options yet.
-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.38-2-686 (SMP w/1 CPU core)
Locale: LANG=pt_BR.utf8, LC_CTYPE=pt_BR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages udev depends on:
ii  debconf [debconf-2.0]        1.5.39      Debian configuration management sy
ii  libc6                        2.13-4      Embedded GNU C Library: Shared lib
ii  libselinux1                  2.0.98-1+b1 SELinux runtime shared libraries
ii  libudev0                     168-2       libudev shared library
ii  libusb-0.1-4                 2:0.1.12-17 userspace USB programming library
ii  lsb-base                     3.2-27      Linux Standard Base 3.2 init scrip
ii  util-linux                   2.17.2-9.1  Miscellaneous system utilities

Versions of packages udev recommends:
ii  pciutils                      1:3.1.7-9  Linux PCI Utilities
ii  usbutils                      1:001-1    Linux USB utilities

udev suggests no packages.

-- debconf information:
  udev/new_kernel_needed: false
  udev/title/upgrade:
  udev/reboot_needed:
  udev/sysfs_deprecated_incompatibility:
[fstab (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#627446; Package libudev0. (Fri, 20 May 2011 23:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Fri, 20 May 2011 23:39:06 GMT) Full text and rfc822 format available.

Message #20 received at 627446@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Sérgio Cipolla <secipolla@gmail.com>, 627446@bugs.debian.org
Subject: Re: Bug#627446: udev: Boot messages.
Date: Sat, 21 May 2011 01:36:50 +0200
[Message part 1 (text/plain, inline)]
On May 20, Sérgio Cipolla <secipolla@gmail.com> wrote:

> udevd[46]: unable to receive user udevd message: resource temporarily unavailable
I am unable to reproduce this issue.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#627446; Package libudev0. (Sat, 21 May 2011 00:06:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sergio Cipolla <secipolla@gmail.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sat, 21 May 2011 00:06:09 GMT) Full text and rfc822 format available.

Message #25 received at 627446@bugs.debian.org (full text, mbox):

From: Sergio Cipolla <secipolla@gmail.com>
To: "Marco d'Itri" <md@linux.it>
Cc: 627446@bugs.debian.org
Subject: Re: Bug#627446: udev: Boot messages.
Date: Fri, 20 May 2011 21:03:47 -0300
[Message part 1 (text/plain, inline)]
Hi Marco, on a subsequent boot those messages were gone but the rest was the
same.
I have now reinstalled the system.

Regards.

On Fri, May 20, 2011 at 8:36 PM, Marco d'Itri <md@linux.it> wrote:

> On May 20, Sérgio Cipolla <secipolla@gmail.com> wrote:
>
> > udevd[46]: unable to receive user udevd message: resource temporarily
> unavailable
> I am unable to reproduce this issue.
>
> --
> ciao,
> Marco
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#627446; Package libudev0. (Sat, 21 May 2011 03:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Ballet <jon@multani.info>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sat, 21 May 2011 03:57:04 GMT) Full text and rfc822 format available.

Message #30 received at 627446@bugs.debian.org (full text, mbox):

From: Jonathan Ballet <jon@multani.info>
To: Debian Bug Tracking System <627446@bugs.debian.org>
Subject: Re: Can't see any device and mount doesn't work.
Date: Sat, 21 May 2011 12:30:47 +0900
Package: udev
Followup-For: Bug #627446

I have the very same problem as this. I can't see all the messages
displayed at boot time, my screen is too small, but I have at least the
same errors as described above by Sergio.

Hopefully, although the graphic environment couldn't start, I still had
network access. Downgrading udev, libudev and libgudev to 168-2 made the
problem gone.

Is there a way to get those messages spitted by udev or something else
in the early boot process?

Thanks,

 Jonathan


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (101, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.38-2-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages udev depends on:
ii  debconf [debconf-2.0]        1.5.39      Debian configuration management sy
ii  libc6                        2.13-4      Embedded GNU C Library: Shared lib
ii  libselinux1                  2.0.98-1+b1 SELinux runtime shared libraries
ii  libudev0                     168-2       libudev shared library
ii  libusb-0.1-4                 2:0.1.12-17 userspace USB programming library
ii  lsb-base                     3.2-27      Linux Standard Base 3.2 init scrip
ii  util-linux                   2.17.2-9.1  Miscellaneous system utilities

Versions of packages udev recommends:
ii  pciutils                      1:3.1.7-9  Linux PCI Utilities
ii  usbutils                      1:001-1    Linux USB utilities

udev suggests no packages.

-- Configuration Files:
/etc/modprobe.d/blacklist.conf changed:
blacklist evbug
blacklist usbmouse
blacklist usbkbd
blacklist eepro100
blacklist de4x5
blacklist am53c974
blacklist iTCO_wdt
blacklist pcspkr
blacklist joydev
blacklist eeepc-acpi
blacklist snd_mixer_oss
blacklist snd_pcm_oss


-- debconf information:
  udev/new_kernel_needed: false
  udev/title/upgrade:
  udev/reboot_needed:
  udev/sysfs_deprecated_incompatibility:




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#627446; Package libudev0. (Sat, 21 May 2011 13:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Stefan Lippers-Hollmann" <s.L-H@gmx.de>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sat, 21 May 2011 13:09:03 GMT) Full text and rfc822 format available.

Message #35 received at 627446@bugs.debian.org (full text, mbox):

From: "Stefan Lippers-Hollmann" <s.L-H@gmx.de>
To: 627446@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: libudev0: Can't see any device and mount doesn't work.
Date: Sat, 21 May 2011 15:06:34 +0200
tags 627446 + patch
tags 627446 + upstream
thanks

Hi

This issues seems to be fixed upstream by:
	From: Kay Sievers <kay.sievers@vrfy.org>
	Date: Thu, 19 May 2011 20:57:46 +0000 (+0200)
	Subject: libudev: ctrl - properly wait for incoming message after connect
	X-Git-Tag: 170~1
	X-Git-Url: http://git.kernel.org/?p=linux%2Fhotplug%2Fudev.git;a=commitdiff_plain;h=2c64f5898ccf7c2dfc330c6b21540d6080d37659

which is part of upstream's udev 170 release.

Regards
	Stefan Lippers-Hollmann




Added tag(s) patch. Request was from "Stefan Lippers-Hollmann" <s.L-H@gmx.de> to control@bugs.debian.org. (Sat, 21 May 2011 13:09:05 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from "Stefan Lippers-Hollmann" <s.L-H@gmx.de> to control@bugs.debian.org. (Sat, 21 May 2011 13:09:05 GMT) Full text and rfc822 format available.

Reply sent to Marco d'Itri <md@linux.it>:
You have taken responsibility. (Sun, 22 May 2011 02:51:05 GMT) Full text and rfc822 format available.

Notification sent to Sérgio Cipolla <secipolla@gmail.com>:
Bug acknowledged by developer. (Sun, 22 May 2011 02:51:06 GMT) Full text and rfc822 format available.

Message #44 received at 627446-close@bugs.debian.org (full text, mbox):

From: Marco d'Itri <md@linux.it>
To: 627446-close@bugs.debian.org
Subject: Bug#627446: fixed in udev 170-1
Date: Sun, 22 May 2011 02:47:56 +0000
Source: udev
Source-Version: 170-1

We believe that the bug you reported is fixed in the latest version of
udev, which is due to be installed in the Debian FTP archive:

gir1.2-gudev-1.0_170-1_i386.deb
  to main/u/udev/gir1.2-gudev-1.0_170-1_i386.deb
libgudev-1.0-0_170-1_i386.deb
  to main/u/udev/libgudev-1.0-0_170-1_i386.deb
libgudev-1.0-dev_170-1_i386.deb
  to main/u/udev/libgudev-1.0-dev_170-1_i386.deb
libudev-dev_170-1_i386.deb
  to main/u/udev/libudev-dev_170-1_i386.deb
libudev0_170-1_i386.deb
  to main/u/udev/libudev0_170-1_i386.deb
udev-gtk-udeb_170-1_i386.udeb
  to main/u/udev/udev-gtk-udeb_170-1_i386.udeb
udev-udeb_170-1_i386.udeb
  to main/u/udev/udev-udeb_170-1_i386.udeb
udev_170-1.debian.tar.gz
  to main/u/udev/udev_170-1.debian.tar.gz
udev_170-1.dsc
  to main/u/udev/udev_170-1.dsc
udev_170-1_i386.deb
  to main/u/udev/udev_170-1_i386.deb
udev_170.orig.tar.bz2
  to main/u/udev/udev_170.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 627446@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marco d'Itri <md@linux.it> (supplier of updated udev package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 21 May 2011 16:47:49 +0200
Source: udev
Binary: udev libudev0 libudev-dev udev-udeb udev-gtk-udeb libgudev-1.0-0 gir1.2-gudev-1.0 libgudev-1.0-dev
Architecture: source i386
Version: 170-1
Distribution: unstable
Urgency: medium
Maintainer: Marco d'Itri <md@linux.it>
Changed-By: Marco d'Itri <md@linux.it>
Description: 
 gir1.2-gudev-1.0 - libgudev-1.0 introspection data
 libgudev-1.0-0 - GObject-based wrapper library for libudev
 libgudev-1.0-dev - libgudev-1.0 development files
 libudev-dev - libudev development files
 libudev0   - libudev shared library
 udev       - /dev/ and hotplug management daemon
 udev-gtk-udeb - libudev shared library (udeb)
 udev-udeb  - /dev/ and hotplug management daemon (udeb)
Closes: 626873 627446 627487 627513
Changes: 
 udev (170-1) unstable; urgency=medium
 .
   * New upstream release. Fixes:
     + properly wait for incoming message after connect.
       (Closes: #627446, #627487, #627513)
   * Init script: simplified the code for unmounting /dev/pts/ etc.
     (Closes: #626873)
Checksums-Sha1: 
 a1071dcbdab369381d8beb1597cc4f1a6f2351f2 1493 udev_170-1.dsc
 778b9cfe257bccfef8da9cae53b446791546ea60 598012 udev_170.orig.tar.bz2
 ebc274dbc1663a6cc0ae62aa4e2fe2a5355ebde5 88254 udev_170-1.debian.tar.gz
 c96548ade0ad953d6623a6a241fe8c2bdf297183 475686 udev_170-1_i386.deb
 16811fca4ee7b28fc0f3bbbb36cf8eba9afc415a 125666 libudev0_170-1_i386.deb
 a3ce670bfa94ba54d4710468c91ec7fee948b8e1 59930 libudev-dev_170-1_i386.deb
 98c6692d25ac14567365f812a4dd5426031ab9a6 184504 udev-udeb_170-1_i386.udeb
 bd651309197891755565d6510adb4c4ef3177e8e 37982 udev-gtk-udeb_170-1_i386.udeb
 9e4a4ed1cdd88a03d5bd2324a6e984d0ea5ac038 108444 libgudev-1.0-0_170-1_i386.deb
 db5c6e839461f83baa5b6168d1f29d8749ae590d 2986 gir1.2-gudev-1.0_170-1_i386.deb
 142785f756287d27d25e21cd119297ee76e6af52 45368 libgudev-1.0-dev_170-1_i386.deb
Checksums-Sha256: 
 cef645633361396832bb41b66d8a928abb6e674de9f61c09db89fb07e53f438e 1493 udev_170-1.dsc
 7bcc634ed3f49456d8ea075a5c33febbfff70f65f1a4b8a88da1460f0d9dab7f 598012 udev_170.orig.tar.bz2
 239b5831c21319ce2c750db1596955ae66548ed2cecfbb70330e1ba505fe7c28 88254 udev_170-1.debian.tar.gz
 de3f5350d1ba247eb7b64ffc53a7527290e90fe2d62f3978aad711ce3aba6d8c 475686 udev_170-1_i386.deb
 ba36753797ce0703afabb21c46044c2a9e74e3129ea4ba1633f8bfb7dba0e15e 125666 libudev0_170-1_i386.deb
 1c45580ae84920ef22c6e44c556ac0e59c7723c0e45f295ae96f2dfe2761d2dc 59930 libudev-dev_170-1_i386.deb
 f25ae410b036ad3362157c01b3b355c722ada86d9d37f20146c1ceeffbc25e95 184504 udev-udeb_170-1_i386.udeb
 d52c53ece8355eae7428f0648aef918e72adccc9bc639a25c6fe962d39436502 37982 udev-gtk-udeb_170-1_i386.udeb
 b526fe2f656d72aaff424321b33c8cc78a8804755ecef9c16122c86ec33b4ffe 108444 libgudev-1.0-0_170-1_i386.deb
 37db63bd5cfd48e7be751e30233501a99acacb0f5678a05a2a4227ff5f8b9e07 2986 gir1.2-gudev-1.0_170-1_i386.deb
 ffa15e0b39185ee6ce58459191947ef2b212cb79afba5b6c3c1b7975fcfb9585 45368 libgudev-1.0-dev_170-1_i386.deb
Files: 
 bfdefb0ee0920340b0a7b1a0a38b78a4 1493 admin important udev_170-1.dsc
 6e132d1a3b4dae24dafd2726c5cdd982 598012 admin important udev_170.orig.tar.bz2
 87aac880296777983cbb46ac2ae32d9b 88254 admin important udev_170-1.debian.tar.gz
 7cfc2bca12c742e016ddb703f69a1862 475686 admin important udev_170-1_i386.deb
 d268abc053ec10c947e31dac643c9d35 125666 libs important libudev0_170-1_i386.deb
 d60051a6efa120031c3bb6a31b88ec65 59930 libdevel optional libudev-dev_170-1_i386.deb
 a59691e463c52bae83308547818f2ad2 184504 debian-installer important udev-udeb_170-1_i386.udeb
 885f57ab5cb34a817803c60160c30270 37982 debian-installer optional udev-gtk-udeb_170-1_i386.udeb
 95af8fa2865fdc85ea1c5ba1eca7319e 108444 libs optional libgudev-1.0-0_170-1_i386.deb
 74933cf6be8a2a3d93b4b200e98b0dd3 2986 libs optional gir1.2-gudev-1.0_170-1_i386.deb
 702e423ee8265df6f28ec74982292f55 45368 libdevel optional libgudev-1.0-dev_170-1_i386.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk3YbHIACgkQFGfw2OHuP7GbJwCfYYmk3m4NJBWkjmJUr3RAXTHc
CN0AoKVhkEB//wLaLOOD70dPM+qjw1Ki
=ArI/
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#627446; Package libudev0. (Sun, 22 May 2011 12:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oren Held <oren@held.org.il>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sun, 22 May 2011 12:24:03 GMT) Full text and rfc822 format available.

Message #49 received at 627446@bugs.debian.org (full text, mbox):

From: Oren Held <oren@held.org.il>
To: 627446@bugs.debian.org
Subject: confirming udev fix
Date: Sun, 22 May 2011 15:21:27 +0300
Confirming the fix.
Thanks.




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#627446; Package libudev0. (Sun, 22 May 2011 13:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Lidén Borell <samuel@slbdata.se>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sun, 22 May 2011 13:33:06 GMT) Full text and rfc822 format available.

Message #54 received at 627446@bugs.debian.org (full text, mbox):

From: Samuel Lidén Borell <samuel@slbdata.se>
To: 627446@bugs.debian.org
Subject: confirming fix & how to update with broken initrd
Date: Sun, 22 May 2011 15:25:37 +0200
I can also confirm that version 170-1 fixes this.

The initrd didn't for me start so getting APT to work wasn't straightforward. Here's what I did to update to version 170-1, in case it's useful to someone else:

1. booted with "rdinit=/bin/sh" (note that the prompt is not visible when booting with rdinit)
2. sh ./init  (this printed the errors about udev and exited)
3. chroot /root /bin/bash
4. mount -o remount,rw /
5. dhclient eth0
6. login  (apt-get needs a login)
7. sudo apt-get update
8. sudo apt-get install udev libudev0
9. reboot


Regards,
Samuel Lidén Borell




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 10 Jul 2011 07:34:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:59:50 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.